Skip to content
Permalink
Browse files
feat: target sdk 30 w/ build-tool 30.0.3 (#1182)
  • Loading branch information
erisu committed Apr 13, 2021
1 parent a330449 commit dc8854d16c1634c43798114418b9228a4714d0ae
Show file tree
Hide file tree
Showing 6 changed files with 14 additions and 14 deletions.
@@ -37,10 +37,10 @@ allprojects {

//This replaces project.properties w.r.t. build settings
project.ext {
defaultBuildToolsVersion="29.0.2" //String
defaultBuildToolsVersion="30.0.3" //String
defaultMinSdkVersion=22 //Integer - Minimum requirement is Android 5.1
defaultTargetSdkVersion=29 //Integer - We ALWAYS target the latest by default
defaultCompileSdkVersion=29 //Integer - We ALWAYS compile with the latest by default
defaultTargetSdkVersion=30 //Integer - We ALWAYS target the latest by default
defaultCompileSdkVersion=30 //Integer - We ALWAYS compile with the latest by default
}
}

@@ -5,7 +5,7 @@
split.density=false

# Project target.
target=android-29
target=android-30
apk-configurations=
renderscript.opt.level=O0
android.library=true
@@ -1,13 +1,13 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 29
buildToolsVersion "29.0.2"
compileSdkVersion 30
buildToolsVersion "30.0.3"

defaultConfig {
applicationId "com.example.anis.myapplication"
minSdkVersion 21
targetSdkVersion 29
targetSdkVersion 30
versionCode 1
versionName "1.0"
}
@@ -26,7 +26,7 @@ var which = require('which');
const { CordovaError } = require('cordova-common');

// This should match /bin/templates/project/build.gradle
const DEFAULT_TARGET_API = 29;
const DEFAULT_TARGET_API = 30;

describe('check_reqs', function () {
let check_reqs;
@@ -21,13 +21,13 @@ apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'

android {
compileSdkVersion 29
buildToolsVersion "29.0.2"
compileSdkVersion 30
buildToolsVersion "30.0.3"

defaultConfig {
applicationId "org.apache.cordova.unittests"
minSdkVersion 22
targetSdkVersion 29
targetSdkVersion 30
versionCode 1
versionName "1.0"
testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
@@ -19,13 +19,13 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 29
buildToolsVersion "29.0.2"
compileSdkVersion 30
buildToolsVersion "30.0.3"

defaultConfig {
applicationId "org.apache.cordova.unittests"
minSdkVersion 22
targetSdkVersion 29
targetSdkVersion 30
versionCode 1
versionName "1.0"
testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

0 comments on commit dc8854d

Please sign in to comment.